unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure FormResize(Sender: TObject);
  private
    { Private declarations }
    procedure WMWindowPosChanging(var Message: TWMWindowPosChanging); message WM_WINDOWPOSCHANGING;
    procedure WMNCLButtonDown(var Message: TWMNCLButtonDown); message WM_NCLBUTTONDOWN;

    procedure _MoveFW();

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3, ShellAPI;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin

//  Form2.Visible := not Form2.Visible;
  Form3.Visible := not Form3.Visible;

  _MoveFW();

end;


procedure TForm1.WMWindowPosChanging(var Message: TWMWindowPosChanging);
begin
  inherited;
  exit;

  _MoveFW();

end;

procedure TForm1.Label2Click(Sender: TObject);
begin
    ShellExecute(Handle,
             'open',
             'http://neftali.clubdelphi.com/',
             nil,
             nil,
             SW_SHOW);
end;


procedure TForm1.WMNCLButtonDown(var Message: TWMNCLButtonDown);
begin

  inherited;

  _MoveFW();

end;

procedure TForm1._MoveFW;
begin
  if (Self.ComponentState <> []) then begin
    Exit;
  end;

  if not Assigned(Form2) then begin
    Exit;
  end;

  if not Assigned(Form3) then begin
    Exit;
  end;

  if (Form2.Visible) then begin
    // Posicionar las barras
    Form2.Top := Self.Top - Form2.Height;
    Form2.Left := Self.Left;
  end;

  if (Form3.Visible) then begin
    // Posicionar las barras
    Form3.Top := Self.Top;
    Form3.Left := Self.LEft + Self.Width;
  end;
end;

procedure TForm1.FormResize(Sender: TObject);
begin
  _MoveFW();
end;

end.
